# drawing.py
# ----------
# By ____(you)___________
#
# (Briefly describe what this program does.)

from turtle import *
from superturtle.animation import animate

bgcolor("black")

def fly(distance):
    penup()
    forward(distance)
    pendown()


def sun():
    color("yellow")
    fillcolor("yellow")
    begin_fill()
    fly(40)
    left(90)
    circle(40)
    right (90)
    end_fill()

def orbit():
    color("white")
    fly(20)
    left(90)
    circle(60)
    right(90)
    fly(20)
    left(90)
    circle(80)
    right(90)
    fly(20)
    left(90)
    circle(100)
    right(90)
    fly(20)
    left(90)
    circle(120)
    right(90)
    fly(20)
    left(90)
    circle(140)
    right(90)
    fly(20)
    left(90)
    circle(160)
    right(90)
    fly(20)
    left(90)
    circle(180)
    right(90)
    fly(20)
    left(90)
    circle(200)
    right(90)



for frame in animate(80, loop=True):
    sun()
    orbit()
    with frame.rotate(0, 360):
        fly(40)
        color("thistle")
        fillcolor("thistle")
        begin_fill()
        circle(3)
        end_fill()
    with frame.rotate(0, 360):
        fly(40)
        color("goldenrod")
        fillcolor("goldenrod")
        begin_fill()
        circle(8)
        end_fill()
    with frame.rotate(0, 360):
        fly(40)
        color("forest green")
        fillcolor("forest green")
        begin_fill()
        circle(9)
        end_fill()
    with frame.rotate(0, 360):
        fly(40)
        color("red")
        fillcolor("red")
        begin_fill()
        circle(4)
        end_fill()
    with frame.rotate(0, 360):
        fly(40)
        color("peru")
        fillcolor("peru")
        begin_fill()
        circle(25)
        end_fill()
    with frame.rotate(0, 360):
        fly(40)
        color("pale violet red")
        fillcolor("pale violet red")
        begin_fill()
        circle(20)
        end_fill()
    with frame.rotate(0, 360):
        fly(40)
        color("light blue")
        fillcolor("light blue")
        begin_fill()
        circle(15)
        end_fill()
    with frame.rotate(0, 360):
        fly(40)
        color("blue")
        fillcolor("blue")
        begin_fill()
        circle(15)
        end_fill()
done()



